Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.payment.diameter.management
Interface PaymentMBean

public interface PaymentMBean

MBean interface for the example traffic path

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static boolean` | `connected` true if the Node is connected.
`static String` | `destinationHost` Diameter Destination-Host value.
`static int` | `destinationPort` Plug-in remote peer port value.
`static String` | `destinationRealm` Diameter Destination-Realm value.
`static String` | `originHost` Diameter Origin-Host value.
`static int` | `originPort` Plug-in node port value.
`static String` | `originRealm` Diameter Origin-Realm value.

Method Summary
`void` | `connect()`
`void` | `disconnect()`
`String` | `getDestinationHost()`
`int` | `getDestinationPort()`
`String` | `getDestinationRealm()`
`String` | `getOriginHost()`
`int` | `getOriginPort()`
`String` | `getOriginRealm()`
`boolean` | `isConnected()`
`void` | `setDestinationHost(String host)`
`void` | `setDestinationPort(int value)`
`void` | `setDestinationRealm(String value)`
`void` | `setOriginHost(String value)`
`void` | `setOriginPort(int value)`
`void` | `setOriginRealm(String value)`

Field Detail

### connected

    public static final boolean connected

  true if the Node is connected. False if not.

  See Also:
    Constant Field Values

### destinationHost

    public static final String destinationHost

  Diameter Destination-Host value.

  See Also:
    Constant Field Values

### destinationPort

    public static final int destinationPort

  Plug-in remote peer port value.

  See Also:
    Constant Field Values

### destinationRealm

    public static final String destinationRealm

  Diameter Destination-Realm value.

  See Also:
    Constant Field Values

### originHost

    public static final String originHost

  Diameter Origin-Host value.

  See Also:
    Constant Field Values

### originPort

    public static final int originPort

  Plug-in node port value.

  See Also:
    Constant Field Values

### originRealm

    public static final String originRealm

  Diameter Origin-Realm value.

  See Also:
    Constant Field Values

Method Detail

### connect

    public void connect()
                 throws ManagementException

  Throws:
    `ManagementException`

### disconnect

    public void disconnect()

### getDestinationHost

    public String getDestinationHost()
                              throws ManagementException

  Throws:
    `ManagementException`

### getDestinationPort

    public int getDestinationPort()
                           throws ManagementException

  Throws:
    `ManagementException`

### getDestinationRealm

    public String getDestinationRealm()
                               throws ManagementException

  Throws:
    `ManagementException`

### getOriginHost

    public String getOriginHost()
                         throws ManagementException

  Throws:
    `ManagementException`

### getOriginPort

    public int getOriginPort()
                      throws ManagementException

  Throws:
    `ManagementException`

### getOriginRealm

    public String getOriginRealm()
                          throws ManagementException

  Throws:
    `ManagementException`

### isConnected

    public boolean isConnected()
                        throws ManagementException

  Throws:
    `ManagementException`

### setDestinationHost

    public void setDestinationHost(String host)
                            throws ManagementException

  Throws:
    `ManagementException`

### setDestinationPort

    public void setDestinationPort(int value)
                            throws ManagementException

  Throws:
    `ManagementException`

### setDestinationRealm

    public void setDestinationRealm(String value)
                             throws ManagementException

  Throws:
    `ManagementException`

### setOriginHost

    public void setOriginHost(String value)
                       throws ManagementException

  Throws:
    `ManagementException`

### setOriginPort

    public void setOriginPort(int value)
                       throws ManagementException

  Throws:
    `ManagementException`

### setOriginRealm

    public void setOriginRealm(String value)
                        throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD